USD
Search for coins
Add your data
🚀
Portfolio Value
$0
1d change
0.00%
7d change
+1.21%
($899.65)
All time change
+1.21%
($899.65)
Invested fiat
$74,648
Coin value
$0
Investable Cash
$0
BETA
Performance
BETA
1W
1M
3M
6M
1Y
ALL TIME
Holdings
By Exchange
|
By Coin
Coin
Amount
Price
24h
Value
BETA
ROI
You don't have any holdings
Start tracking your performance by adding some transactions
Loading...
Watchlist
Add Coin
Coin
Price
24h
7d
BTC
/
USD
@
GDAX
$7,420
+0.54%
+0%
ETH
/
USD
@
Kraken
$573.00
+1.08%
-8%
LTC
/
USD
@
GDAX
$118.19
+0.86%
-1%
BCH
/
USD
@
Okex
$986.03
-1.90%
-5%
XRP
/
BTC
@
Poloniex
0.0000824฿
+1.34%
+0%
ZEC
/
BTC
@
Poloniex
0.0323฿
-0.96%
-16%
ETC
/
BTC
@
Bitfinex
0.00204฿
-0.52%
+1%
XMR
/
BTC
@
Bittrex
0.0207฿
-1.04%
-6%
Loading...